using Server;
using System;

namespace Server.Items
{
	[FlipableAttribute( 0x0890, 0x0891 )]
	public class ChestOfSecrets : Item
	{
		[Constructable]
		public ChestOfSecrets() : base( 0x0890 )
		{
			Name = "golden chest";
			Light = LightType.Circle150;
			Movable = false;
		}

		public override void OnDoubleClick( Mobile from )
		{
			if ( !from.InRange( this.GetWorldLocation(), 2 ) )
				from.SendMessage( "That is too far away!" );
			else if ( !Server.Misc.QuestFunctions.MonstersNearby( from ) )
				from.SendMessage( "You find nothing of interest in the chest." );
		}

		public ChestOfSecrets( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( ( int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}